Xeonr Developer Docs

Password Authorize

POST
/xeonr.auth.private.v1.PasswordService/PasswordAuthorize

Validates password authorize request parameters and returns a callback redirect URL containing code/state.

Authentication: None required

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

responseType?string

OAuth response type (must be "code")

Length1 <= length <= 32
clientId?string

Password client ID

Length1 <= length <= 255
redirectUri?string

Redirect URI from the OAuth request

Length1 <= length <= 2048
state?string

Optional state from the OAuth request

Lengthlength <= 2048
code?string

Password exchange code from login/signup/session flow

Length1 <= length <= 128
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.PasswordService/PasswordAuthorize" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "redirectUrl": "https://app.example.com/auth/password?code=550e8400-e29b-41d4-a716-446655440000&state=550e8400-e29b-41d4-a716-446655440000"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}